Package ru.bitel.bgbilling.modules.bill.server.bean

# Class BillDoc

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.bill.server.bean.BillDoc

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

Direct Known Subclasses:
  `Bill`, `Invoice`

public class BillDoc extends IdContractId
Общая модель для сущностей Bill и Invoice

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillDoc()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `BankAccount`
  `getBankAccount()`
  `String`
  `getContractComment()`
  `String`
  `getContractTitle()`
  `int`
  `getCorrection()`
  `Date`
  `getCreateDate()`
  `Document`
  `getDocument()`
  `String`
  `getFormatNumber()`
  `int`
  `getMonth()`
  `int`
  `getNpid()`
  `int`
  `getNumber()`
  `int`
  `getNumberInMonth()`
  `int`
  `getNumberInYear()`
  `Organization`
  `getOrganization()`
  `List<PositionValue>`
  `getPositionList()`
  `String`
  `getRecipient()`
  `BigDecimal`
  `getSum()`
  `int`
  `getTypeId()`
  `String`
  `getTypeTitle()`
  `int`
  `getUid()`
  Deprecated.
  `int`
  `getUnloadStatus()`
  `int`
  `getUserId()`
  Получить код создавшего пользователя
  `String`
  `getUserName()`
  `byte[]`
  `getXmlData()`
  `int`
  `getYear()`
  `BillDoc`
  `setAddress(String address)`
  `BillDoc`
  `setBankAccount(BankAccount bankAccount)`
  `BillDoc`
  `setContractComment(String contractComment)`
  `BillDoc`
  `setContractId(int contractId)`
  `BillDoc`
  `setContractTitle(String contractTitle)`
  `BillDoc`
  `setCorrection(int correction)`
  `BillDoc`
  `setCreateDate(Date createDate)`
  `void`
  `setDocument(Document document)`
  `BillDoc`
  `setFormatNumber(String formatNumber)`
  `BillDoc`
  `setId(int id)`
  Устанавливает id объекта
  `BillDoc`
  `setMonth(int month)`
  `BillDoc`
  `setNpid(int npid)`
  `BillDoc`
  `setNumber(int number)`
  `BillDoc`
  `setNumberInMonth(int numberInMonth)`
  `BillDoc`
  `setNumberInYear(int numberInYear)`
  `BillDoc`
  `setOrganization(Organization organization)`
  `BillDoc`
  `setPositionList(List<PositionValue> positionList)`
  `BillDoc`
  `setRecipient(String recipient)`
  `BillDoc`
  `setSum(BigDecimal sum)`
  `BillDoc`
  `setTypeId(int typeId)`
  `BillDoc`
  `setTypeTitle(String typeTitle)`
  `BillDoc`
  `setUnloadStatus(int unloadStatus)`
  `BillDoc`
  `setUserId(int userId)`
  Установить код создавшего пользователя
  `BillDoc`
  `setUserName(String userName)`
  `BillDoc`
  `setXmlData(byte[] xmlData)`
  `BillDoc`
  `setYear(int year)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BillDoc

    public BillDoc()

- ## Method Details

  - ### getAddress

    public String getAddress()

  - ### getBankAccount

    public BankAccount getBankAccount()

  - ### getContractComment

    public String getContractComment()

  - ### getContractTitle

    public String getContractTitle()

  - ### getCorrection

    public int getCorrection()

  - ### getCreateDate

    public Date getCreateDate()

  - ### getDocument

    public Document getDocument() throws Exception
    Throws:
      `Exception`

  - ### getFormatNumber

    public String getFormatNumber()

  - ### getMonth

    public int getMonth()

  - ### getNpid

    public int getNpid()

  - ### getNumber

    public int getNumber()

  - ### getNumberInMonth

    public int getNumberInMonth()

  - ### getNumberInYear

    public int getNumberInYear()

  - ### getOrganization

    public Organization getOrganization()

  - ### getPositionList

    public List<PositionValue> getPositionList()

  - ### getRecipient

    public String getRecipient()

  - ### getSum

    public BigDecimal getSum()

  - ### getTypeId

    public int getTypeId()

  - ### getTypeTitle

    public String getTypeTitle()

  - ### getUid

    @Deprecated public int getUid()
    Deprecated.

  - ### getUnloadStatus

    public int getUnloadStatus()

  - ### getUserId

    public int getUserId()
    Получить код создавшего пользователя

  - ### getUserName

    public String getUserName()

  - ### getXmlData

    public byte[] getXmlData()

  - ### getYear

    public int getYear()

  - ### setAddress

    public BillDoc setAddress(String address)

  - ### setBankAccount

    public BillDoc setBankAccount(BankAccount bankAccount)

  - ### setContractComment

    public BillDoc setContractComment(String contractComment)

  - ### setContractId

    public BillDoc setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setContractTitle

    public BillDoc setContractTitle(String contractTitle)

  - ### setCorrection

    public BillDoc setCorrection(int correction)

  - ### setCreateDate

    public BillDoc setCreateDate(Date createDate)

  - ### setDocument

    public void setDocument(Document document)

  - ### setFormatNumber

    public BillDoc setFormatNumber(String formatNumber)

  - ### setId

    public BillDoc setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setMonth

    public BillDoc setMonth(int month)

  - ### setNpid

    public BillDoc setNpid(int npid)

  - ### setNumber

    public BillDoc setNumber(int number)

  - ### setNumberInMonth

    public BillDoc setNumberInMonth(int numberInMonth)

  - ### setNumberInYear

    public BillDoc setNumberInYear(int numberInYear)

  - ### setOrganization

    public BillDoc setOrganization(Organization organization)

  - ### setPositionList

    public BillDoc setPositionList(List<PositionValue> positionList)

  - ### setRecipient

    public BillDoc setRecipient(String recipient)

  - ### setSum

    public BillDoc setSum(BigDecimal sum)

  - ### setTypeId

    public BillDoc setTypeId(int typeId)

  - ### setTypeTitle

    public BillDoc setTypeTitle(String typeTitle)

  - ### setUnloadStatus

    public BillDoc setUnloadStatus(int unloadStatus)

  - ### setUserId

    public BillDoc setUserId(int userId)
    Установить код создавшего пользователя

  - ### setUserName

    public BillDoc setUserName(String userName)

  - ### setXmlData

    public BillDoc setXmlData(byte[] xmlData)

  - ### setYear

    public BillDoc setYear(int year)